//+------------------------------------------------------------------+
//|                                                         test.mq4 |
//|                                        Copyright  2009, artsnz. |
//|                                                 artsnz@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, artsnz."
#property link      "artsnz@gmail.com"

extern double lot = 1.0;

void start()
 {

  if (IsTesting()) iCustom(NULL, 0, "TRO_InsideBar_Plot2", 50, true, Blue, Lime, 0, 0);
  double LineRed = ObjectGet("HIGH_0", OBJPROP_PRICE1);
  double LineGreen = ObjectGet("LOW_0", OBJPROP_PRICE1);

  if (IsTesting()) iCustom(NULL, 0, "IBFX - CPR", true,  true, true, true, DarkBlue, DimGray, Lime, Red, Blue, FireBrick, 50, 0, 0);
  double StopLoss = ObjectGet("STOPTARGET", OBJPROP_PRICE1);
  double TakeProfit = ObjectGet("PROFITTARGET", OBJPROP_PRICE1);
  
  /*
  double x1 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 0, 0),
         x2 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 1, 0),
         x3 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 2, 0),
         x4 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 3, 0),
         x5 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 4, 0),
         x6 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 5, 0),
         x7 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 6, 0),
         x8 = iCustom(NULL, 0, "1-2-3 Pattern MTF v3.1", 1440, 2, 1, 0, 0, 1.618, Blue, Red, Yellow, Lime, Black, 7, 0);
  */
  
  if (iCustom(NULL,0,"trend",15,3,0,0,0) != EMPTY_VALUE && Close[1] > LineGreen && OrdersTotal() < 1 &&
      Ask + MarketInfo(Symbol(), MODE_STOPLEVEL)*Point < TakeProfit && Ask - MarketInfo(Symbol(), MODE_STOPLEVEL)*Point > StopLoss)
   {
    if (OrderSend (Symbol(), OP_BUY, lot, Ask, 3, StopLoss, TakeProfit) != -1) Alert(" BUY  !");
   }
  else if (iCustom(NULL,0,"trend",15,3,0,1,0)!= EMPTY_VALUE && Close[1] < LineRed && OrdersTotal() < 1 &&
           Bid - MarketInfo(Symbol(), MODE_STOPLEVEL)*Point > TakeProfit && Bid + MarketInfo(Symbol(), MODE_STOPLEVEL)*Point < StopLoss)
        {
         if (OrderSend (Symbol(), OP_SELL, lot, Bid, 3, StopLoss, TakeProfit) != -1) Alert(" Sell  !");
        }
  
 }